<div class="col-lg-12 onboarding-content">
  <!--<tabs class="rolegroup-tab">
    <tab>
      <ng-template tab-heading>
        <div class="btn-group">
          <a class="btn btn-default btn-icon btn-custom-nav active">
            <span class="material-icons">add_circle</span> Create New Role Group</a>
        </div>
      </ng-template>-->
  <div class="col-lg-12 onboarding-nav-option">

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New Group</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }">
        <span class="material-icons">domain</span><span class="hidden-xs"> Add Feature</span></a>
    </div>
  </div>


  <div *ngIf="!isEditMode">
    <div class="row">
      <form #onboardingFormRoleGroup="ngForm" class="onboarding-form">
        <div class="col-lg-7 col-xs-12">
          <div class="col-lg-6 col-xs-12 no-padding organization-left org-img-holder">
            <label class="control-label">Role Group Details</label>
            <div class="col-lg-12 col-xs-12 thumbnail">
              <div class="col-lg-12 col-xs-12 no-padding form-group">
                <img class="img img-responsive default" src="assets/images/icon_Default.png" alt=""/>
              </div>
              <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 no-padding">
                <label class="control-label required-lbl">Display Name</label>
                <input type="email" class="form-control input-sm" required name="displalyName" #displayName="ngModel" [(ngModel)]="roleGroup.displalyName"
                  minlength="4" maxlength="64" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*">
                <div *ngIf="displayName.errors && (displayName.dirty || displayName.touched)" class="text-danger">
                  <div [hidden]="!displayName.errors.required">
                    Display Name is required.
                  </div>
                  <div [hidden]="!displayName.errors.minlength">
                    Display Name must be at least 4 characters long.
                  </div>
                  <div [hidden]="!displayName.errors.maxlength">
                    Display Name cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!displayName.errors.pattern">
                    Please enter valid display name
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 status-icon-group">
                <div class="control-label">Active</div>
                <label class="switch">
                  <input type="checkbox" name="userstatus"  [(ngModel)]="roleGroup.status">
                  <div class="slider round"></div>
              </label>
              </div>
            </div>
          </div>
          <!--<div class="col-lg-6 col-xs-12 organization-left">
            <div class="row">

            </div>
          </div>-->

          <div class="row">
            <div class="col-lg-12 organization-left">
              <div class="form-group">
                <label class="control-label required-lbl">Description</label>
                <textarea class="form-control" name="Description" rows="10" #description="ngModel" [(ngModel)]="roleGroup.description" required
                  minlength="4" maxlength="64" [(ngModel)]="name" pattern="[a-zA-Z][a-zA-Z ]*([']?[-]?)[a-zA-Z ]*"> </textarea>
                <div *ngIf="description.errors && (description.dirty || description.touched)" class="text-danger">
                  <div [hidden]="!description.errors.required">
                    Description is required.
                  </div>
                  <div [hidden]="!description.errors.minlength">
                    Description must be at least 4 characters long.
                  </div>
                  <div [hidden]="!description.errors.maxlength">
                    Description cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!description.errors.pattern">
                    Please enter valid description
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>
        <!--<div class="col-lg-7 organization-left">

        </div>-->

      </form>

      <div class="col-lg-5">
        <div class="onboarding-instruction hidden-xs thumbnail">
          <h3>Create Role Groups</h3>
          <p>Create New Group: To create a new role group so that you can associate the role group to the user, please make
            sure the "Create New Group" is selected if not highlighted in green. By default "Create New Group" button is
            selected. Enter the Display Name, Description of the Role Group. Click Continue button, to add features to the
            role group. Atleast one feature has to be selected as part of role group creation. Clicking Continue button in
            "Add Feature" page will redirect to the "Create Users" Page with role group pre-selected. </p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>

        </div>
        <div class="row">
          <div class="col-lg-12 text-right form-group">
            <button class="btn btn-tab" (click)="cancel()">Cancel</button>
            <button class="btn btn-tab" (click)="saveRoleGroup(onboardingFormRoleGroup.valid)" [disabled]="onboardingFormRoleGroup.invalid">Continue</button>
          </div>
        </div>
      </div>

      <!--</tab>-->
    </div>
  </div>
  <div class="col-lg-12 no-padding" *ngIf="isEditMode">
    <table class="table normal-table">
      <thead>
        <th class="col-lg-10">Feature Name
          <select (change)="changeFeature()" [(ngModel)]="featureSelected">
            <option selected value="2">Operational</option>
            <option value="1">Admin</option>
          </select>
        </th>
        <th class="text-center col-lg-2">Feature Type</th>
      </thead>
      <tr *ngFor="let feature of _features;let isOdd=odd;let isEven=even;" [class.odd]="isOdd" [class.even]="isEven">
        <td>
          <label class="control-label">
        <input type="checkbox" name="{{feature.FeatureId}}" [(ngModel)]="feature.enabled" (change)="checkForm()"/> {{feature.Name}}
        </label>
        </td>
        <td class="text-center">
          <span class="glyphicon glyphicon-cog"></span>
        </td>
      </tr>
      <!--<ul class="list-group">
        <li class="list-group-item customer-feature-list" *ngFor="let feature of _features">
          <label class="control-label">
        <input type="checkbox" name="{{feature.featureId}}" [(ngModel)]="feature.enabled" (change)="checkForm()"/> {{feature.Name}}
        </label>
        </li>
      </ul>-->
    </table>

    <div class="col-lg-12 text-right form-group no-padding">
      <button class="btn btn-tab" type="button" (click)="cancel()">Cancel</button>
      <button class="btn btn-tab" type="button" (click)="saveFeature()" [disabled]="!selected">Continue</button>
    </div>

  </div>

</div>
